Bug 1181100 - Review Request: golang-github-imdario-mergo - Merging Go structs and maps
Summary: Review Request: golang-github-imdario-mergo - Merging Go structs and maps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-12 11:21 UTC by Jan Chaloupka
Modified: 2015-02-02 17:06 UTC (History)
2 users (show)

Fixed In Version: golang-github-imdario-mergo-0-0.1.git6ce7536.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 02:55:45 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-01-12 11:21:35 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-imdario-mergo/golang-github-imdario-mergo.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-imdario-mergo/golang-github-imdario-mergo-0-0.1.git6ce7536.fc20.src.rpm

Description: Merging Go structs and maps

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8589720

$ rpmlint golang-github-imdario-mergo-0-0.1.git6ce7536.fc20.src.rpm golang-github-imdario-mergo-devel-0-0.1.git6ce7536.fc20.noarch.rpm golang-github-imdario-mergo.spec
golang-github-imdario-mergo.src: W: spelling-error Summary(en_US) structs -> struts, instructs, destructs
golang-github-imdario-mergo.src: W: spelling-error %description -l en_US structs -> struts, instructs, destructs
golang-github-imdario-mergo-devel.noarch: W: spelling-error Summary(en_US) structs -> struts, instructs, destructs
golang-github-imdario-mergo-devel.noarch: W: spelling-error %description -l en_US structs -> struts, instructs, destructs
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Upstream: https://github.com/imdario/mergo

Comment 1 Lokesh Mandvekar 2015-01-13 15:05:26 UTC
- license valid and correct.
- specfile conforms to golang packaging draft.
- only golang sources installed atm.

Package approved

Comment 2 Jan Chaloupka 2015-01-15 11:37:57 UTC
New Package SCM Request
=======================
Package Name: golang-github-imdario-mergo
Short Description: Merging Go structs and maps
Upstream URL: https://github.com/imdario/mergo
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-01-15 13:33:18 UTC
Git done (by process-git-requests).

f19 is EOL.

Comment 4 Fedora Update System 2015-01-16 12:27:19 UTC
golang-github-imdario-mergo-0-0.1.git6ce7536.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-imdario-mergo-0-0.1.git6ce7536.fc20

Comment 5 Fedora Update System 2015-01-16 12:27:35 UTC
golang-github-imdario-mergo-0-0.1.git6ce7536.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-imdario-mergo-0-0.1.git6ce7536.fc21

Comment 6 Fedora Update System 2015-01-16 12:27:56 UTC
golang-github-imdario-mergo-0-0.1.git6ce7536.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-imdario-mergo-0-0.1.git6ce7536.el6

Comment 7 Fedora Update System 2015-01-16 19:10:03 UTC
golang-github-imdario-mergo-0-0.1.git6ce7536.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-01-27 02:55:45 UTC
golang-github-imdario-mergo-0-0.1.git6ce7536.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-01-27 02:56:02 UTC
golang-github-imdario-mergo-0-0.1.git6ce7536.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-02-02 17:06:43 UTC
golang-github-imdario-mergo-0-0.1.git6ce7536.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.